/*
	Nome: Cristian
	Cognome: Monticone
	Matricola: 842201
	Corso: Tecnologie Web (MFN0634)
	Descrizione esercizio: 
	  Partendo da un file HTML di partenza contenente lo
	  scheletro del sito web è stato realizzato il CSS ed una pagina web 
	  adibita alle recensioni di film. Sono state seguite le direttive presenti
	  nel file di consegna dell'esercizio.
	Contenuto file:
	  File contenente il codice di stile CSS per la pagina HTML delle recensioni.
*/
body {
	margin: 0px;
	padding: 0px;
	background-image: url("https://courses.cs.washington.edu/courses/cse190m/11sp/homework/2/background.png");
        background-repeat: repeat;
	font-size: 8pt;
	font-family: Verdana, Tahoma, sans-serif; /* Non l'ho raggruppato con il font-family di #film-title perchè hanno ordine diverso. */
}

#banner {
	background-image: url("https://courses.cs.washington.edu/courses/cse190m/11sp/homework/2/bannerbg.png");
        background-repeat: repeat-x;
	height: 50px;
}

#banner > img {
	display: block;
	margin: auto;
	height: 50px;
}

#film-title {
	font-weight: bold;
	font-size: 24pt;
	font-family: Tahoma, Verdana, sans-serif;
	text-shadow: 3px 3px #999999;
	text-align: center;
}

#main {
	width: 800px;
	border: 4px solid #999999;
	margin: auto;
	border-radius: 26px;
	overflow: hidden;
}

#reviews {
	width: 550px;
}

#reviews-header {
	background-image: url("https://courses.cs.washington.edu/courses/cse190m/11sp/homework/2/rbg.png");
        background-repeat: repeat-x;
	height: 83px;
	font-size: 48pt;
	font-weight: bold;
	color: red;
}

#reviews-header > img {
	vertical-align: bottom;
}

.reviews-col {
	width: 47%;
	float: left;
	margin-left: 2%;
}

.reviews-quotation {
	background-color: #E8DC9B;
	border: 2px solid grey;
	border-radius: 10px;
	padding: 8px;
	font-weight: bold;
	min-height: 25px;
}

.reviews-quotation > img {
	margin-right: 5px;
	float: left;
	height: 25px;
	width: 25px;
}

.reviews-critic {
	margin-bottom: 20px;
	min-height: 25px;
}

.reviews-critic > img {
	margin-right: 5px;
	float: left;
	height: 25px;
	width: 25px;
}

.critic-pubblication {
	font-style: italic;
}

#overview {
	float: right;
	width: 250px;
	font-size: 8pt;
	font-family: Arial, sans-serif;
}

#overview > dl {
	padding: 10pt;
	margin: 0px;
}

#overview > dl > dt {
	font-weight: bold;
}

#overview > dl > dd {
	margin-bottom: 10pt;
}

#link-overview-list {
	list-style-type: none;
	padding: 0px;
}

#footer, #overview {
	background-color: #A2B964;
}

#footer {
	clear: both;
	padding: 5px;
	text-align: center;
	margin-bottom: 0px;
}

#validators {
	position: fixed;
	right: 0px;
	bottom: 0px;
	opacity: 0.5;
}
